## ns3 3.35%2Bdfsg

=== pybindgen-0.22.0/doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*
	-cd figures && make clean

html:
	cd figures && $(MAKE)
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	cd figures && $(MAKE)
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/PyBindGen.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/PyBindGen.qhc"

latex:
	cd figures && $(MAKE)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

=== ns-3.35/examples/wireless/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):
    obj = bld.create_ns3_program('mixed-wired-wireless', ['wifi', 'applications', 'olsr', 'netanim'])
    obj.source = 'mixed-wired-wireless.cc'

    bld.register_ns3_script('mixed-wired-wireless.py', ['wifi', 'applications', 'olsr'])

    obj = bld.create_ns3_program('wifi-adhoc', ['wifi', 'applications'])
    obj.source = 'wifi-adhoc.cc'

    obj = bld.create_ns3_program('wifi-clear-channel-cmu', ['internet', 'wifi'])
    obj.source = 'wifi-clear-channel-cmu.cc'

    obj = bld.create_ns3_program('wifi-ap', ['wifi', 'applications'])
    obj.source = 'wifi-ap.cc'

    bld.register_ns3_script('wifi-ap.py', ['wifi', 'applications'])

    obj = bld.create_ns3_program('wifi-wired-bridging', ['wifi', 'csma', 'bridge', 'applications'])
    obj.source = 'wifi-wired-bridging.cc'

    obj = bld.create_ns3_program('wifi-multirate', ['wifi', 'flow-monitor', 'olsr', 'applications'])
    obj.source = 'wifi-multirate.cc'

    obj = bld.create_ns3_program('wifi-simple-adhoc', ['internet', 'wifi'])
    obj.source = 'wifi-simple-adhoc.cc'

    obj = bld.create_ns3_program('wifi-simple-adhoc-grid', ['internet', 'wifi', 'olsr'])
    obj.source = 'wifi-simple-adhoc-grid.cc'

    obj = bld.create_ns3_program('wifi-simple-infra', ['internet', 'wifi'])
    obj.source = 'wifi-simple-infra.cc'

    obj = bld.create_ns3_program('wifi-simple-interference', ['internet', 'wifi'])
    obj.source = 'wifi-simple-interference.cc'

    obj = bld.create_ns3_program('wifi-blockack', ['wifi', 'applications'])
    obj.source = 'wifi-blockack.cc'

    obj = bld.create_ns3_program('wifi-dsss-validation', ['wifi'])
    obj.source = 'wifi-dsss-validation.cc'

    obj = bld.create_ns3_program('wifi-ofdm-validation', ['wifi'])
    obj.source = 'wifi-ofdm-validation.cc'

    obj = bld.create_ns3_program('wifi-ofdm-ht-validation', ['wifi'])
    obj.source = 'wifi-ofdm-ht-validation.cc'

    obj = bld.create_ns3_program('wifi-ofdm-vht-validation', ['wifi'])
    obj.source = 'wifi-ofdm-vht-validation.cc'

    obj = bld.create_ns3_program('wifi-hidden-terminal', ['wifi', 'applications', 'flow-monitor'])
    obj.source = 'wifi-hidden-terminal.cc'

    obj = bld.create_ns3_program('wifi-ht-network', ['wifi', 'applications'])
    obj.source = 'wifi-ht-network.cc'

    obj = bld.create_ns3_program('wifi-vht-network', ['wifi', 'applications'])
    obj.source = 'wifi-vht-network.cc'

    obj = bld.create_ns3_program('wifi-timing-attributes', ['wifi', 'applications'])
    obj.source = 'wifi-timing-attributes.cc'

    obj = bld.create_ns3_program('wifi-sleep', ['wifi', 'applications'])
    obj.source = 'wifi-sleep.cc'
    
    obj = bld.create_ns3_program('wifi-power-adaptation-distance', ['wifi', 'applications'])
    obj.source = 'wifi-power-adaptation-distance.cc'
    
    obj = bld.create_ns3_program('wifi-power-adaptation-interference', ['wifi', 'applications', 'flow-monitor'])
    obj.source = 'wifi-power-adaptation-interference.cc'

    obj = bld.create_ns3_program('wifi-rate-adaptation-distance', ['wifi', 'applications'])
    obj.source = 'wifi-rate-adaptation-distance.cc'

    obj = bld.create_ns3_program('wifi-aggregation', ['wifi', 'applications'])
    obj.source = 'wifi-aggregation.cc'

    obj = bld.create_ns3_program('wifi-txop-aggregation', ['wifi', 'applications'])
    obj.source = 'wifi-txop-aggregation.cc'

    obj = bld.create_ns3_program('wifi-simple-ht-hidden-stations', ['wifi', 'applications'])
    obj.source = 'wifi-simple-ht-hidden-stations.cc'

    obj = bld.create_ns3_program('wifi-80211n-mimo', ['wifi', 'applications'])
    obj.source = 'wifi-80211n-mimo.cc'

    obj = bld.create_ns3_program('wifi-mixed-network', ['wifi', 'applications'])
    obj.source = 'wifi-mixed-network.cc'

    obj = bld.create_ns3_program('wifi-tcp', ['wifi', 'applications'])    
    obj.source = 'wifi-tcp.cc'

    obj = bld.create_ns3_program('wifi-80211e-txop', ['wifi', 'applications'])
    obj.source = 'wifi-80211e-txop.cc'

    obj = bld.create_ns3_program('wifi-spectrum-per-example', ['wifi', 'applications'])
    obj.source = 'wifi-spectrum-per-example.cc'

    obj = bld.create_ns3_program('wifi-spectrum-per-interference', ['wifi', 'applications'])
    obj.source = 'wifi-spectrum-per-interference.cc'

    obj = bld.create_ns3_program('wifi-spectrum-saturation-example', ['wifi', 'applications'])
    obj.source = 'wifi-spectrum-saturation-example.cc'

    obj = bld.create_ns3_program('wifi-ofdm-he-validation', ['wifi'])
    obj.source = 'wifi-ofdm-he-validation.cc'

    obj = bld.create_ns3_program('wifi-he-network', ['wifi', 'applications'])
    obj.source = 'wifi-he-network.cc'

    obj = bld.create_ns3_program('wifi-multi-tos', ['wifi', 'applications'])
    obj.source = 'wifi-multi-tos.cc'

    obj = bld.create_ns3_program('wifi-backward-compatibility', ['wifi', 'applications'])
    obj.source = 'wifi-backward-compatibility.cc'

    obj = bld.create_ns3_program('wifi-spatial-reuse', ['wifi', 'applications'])
    obj.source = 'wifi-spatial-reuse.cc'

    obj = bld.create_ns3_program('wifi-error-models-comparison', ['wifi'])
    obj.source = 'wifi-error-models-comparison.cc'

=== ns-3.35/src/uan/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):
    module = bld.create_ns3_module('uan', ['network', 'energy', 'mobility'])
    module.source = [
        'model/uan-channel.cc',
        'model/uan-phy-gen.cc',
        'model/uan-mac.cc',
        'model/uan-transducer.cc',
        'model/uan-transducer-hd.cc',
        'model/uan-net-device.cc',
        'model/uan-tx-mode.cc',
        'model/uan-prop-model.cc',
        'model/uan-prop-model-ideal.cc',
        'model/uan-mac-aloha.cc',
        'model/uan-header-common.cc',
        'model/uan-noise-model-default.cc',
        'model/uan-mac-cw.cc',
        'model/uan-prop-model-thorp.cc',
        'model/uan-phy-dual.cc',
        'model/uan-header-rc.cc',
        'model/uan-mac-rc.cc',
        'model/uan-mac-rc-gw.cc',
        'model/uan-phy.cc',
        'model/uan-noise-model.cc',
        'model/acoustic-modem-energy-model.cc',
        'helper/uan-helper.cc',
        'helper/acoustic-modem-energy-model-helper.cc',
        ]

    module_test = bld.create_ns3_module_test_library('uan')
    module_test.source = [
        'test/uan-test.cc',
        'test/uan-energy-model-test.cc',
        ]
    
    # Tests encapsulating example programs should be listed here
    if (bld.env['ENABLE_EXAMPLES']):
        module_test.source.extend([
        #   'test/uan-examples-test-suite.cc',
            ])
    
    headers = bld(features='ns3header')
    headers.module = 'uan'
    headers.source = [
        'model/uan-channel.h',
        'model/uan-phy.h',
        'model/uan-mac.h',
        'model/uan-net-device.h',
        'model/uan-prop-model.h',
        'model/uan-tx-mode.h',
        'model/uan-transducer.h',
        'model/uan-phy-gen.h',
        'model/uan-transducer-hd.h',
        'model/uan-prop-model-ideal.h',
        'model/uan-mac-aloha.h',
        'model/uan-header-common.h',
        'model/uan-noise-model.h',
        'model/uan-noise-model-default.h',
        'model/uan-mac-cw.h',
        'model/uan-prop-model-thorp.h',
        'model/uan-phy-dual.h',
        'model/uan-header-rc.h',
        'model/uan-mac-rc.h',
        'model/acoustic-modem-energy-model.h',
        'helper/uan-helper.h',
        'helper/acoustic-modem-energy-model-helper.h',
        'model/uan-mac-rc-gw.h',
        ]

    if (bld.env['ENABLE_EXAMPLES']):
      bld.recurse('examples')

    bld.ns3_python_bindings()

=== ns-3.35/src/wifi/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):
    obj = bld.create_ns3_module('wifi', ['network', 'propagation', 'energy', 'spectrum', 'antenna', 'mobility'])
    obj.source = [
        'model/wifi-utils.cc',
        'model/wifi-information-element.cc',
        'model/wifi-information-element-vector.cc',
        'model/wifi-mode.cc',
        'model/ssid.cc',
        'model/wifi-phy.cc',
        'model/wifi-phy-operating-channel.cc',
        'model/wifi-phy-state-helper.cc',
        'model/error-rate-model.cc',
        'model/yans-error-rate-model.cc',
        'model/nist-error-rate-model.cc',
        'model/non-ht/dsss-error-rate-model.cc',
        'model/table-based-error-rate-model.cc',
        'model/interference-helper.cc',
        'model/wifi-phy-common.cc',
        'model/yans-wifi-phy.cc',
        'model/yans-wifi-channel.cc',
        'model/spectrum-wifi-phy.cc',
        'model/wifi-spectrum-phy-interface.cc',
        'model/wifi-spectrum-signal-parameters.cc',
        'model/wifi-mac-header.cc',
        'model/wifi-mac-trailer.cc',
        'model/wifi-tx-timer.cc',
        'model/wifi-protection.cc',
        'model/wifi-acknowledgment.cc',
        'model/wifi-tx-parameters.cc',
        'model/wifi-protection-manager.cc',
        'model/wifi-default-protection-manager.cc',
        'model/wifi-ack-manager.cc',
        'model/wifi-default-ack-manager.cc',
        'model/frame-exchange-manager.cc',
        'model/qos-frame-exchange-manager.cc',
        'model/ht/ht-frame-exchange-manager.cc',
        'model/vht/vht-frame-exchange-manager.cc',
        'model/he/he-frame-exchange-manager.cc',
        'model/he/multi-user-scheduler.cc',
        'model/he/rr-multi-user-scheduler.cc',
        'model/wifi-mac-queue.cc',
        'model/mac-tx-middle.cc',
        'model/mac-rx-middle.cc',
        'model/txop.cc',
        'model/supported-rates.cc',
        'model/capability-information.cc',
        'model/status-code.cc',
        'model/mgt-headers.cc',
        'model/channel-access-manager.cc',
        'model/wifi-mac.cc',
        'model/regular-wifi-mac.cc',
        'model/wifi-remote-station-info.cc',
        'model/wifi-remote-station-manager.cc',
        'model/ap-wifi-mac.cc',
        'model/sta-wifi-mac.cc',
        'model/adhoc-wifi-mac.cc',
        'model/wifi-net-device.cc',
        'model/rate-control/arf-wifi-manager.cc',
        'model/rate-control/aarf-wifi-manager.cc',
        'model/rate-control/ideal-wifi-manager.cc',
        'model/rate-control/constant-rate-wifi-manager.cc',
        'model/rate-control/amrr-wifi-manager.cc',
        'model/rate-control/onoe-wifi-manager.cc',
        'model/rate-control/rraa-wifi-manager.cc',
        'model/rate-control/aarfcd-wifi-manager.cc',
        'model/rate-control/cara-wifi-manager.cc',
        'model/rate-control/minstrel-wifi-manager.cc',
        'model/rate-control/minstrel-ht-wifi-manager.cc',
        'model/qos-utils.cc',
        'model/qos-txop.cc',
        'model/msdu-aggregator.cc',
        'model/amsdu-subframe-header.cc',
        'model/originator-block-ack-agreement.cc',
        'model/recipient-block-ack-agreement.cc',
        'model/ctrl-headers.cc',
        'model/qos-blocked-destinations.cc',
        'model/block-ack-agreement.cc',
        'model/block-ack-manager.cc',
        'model/block-ack-window.cc',
        'model/block-ack-type.cc',
        'model/snr-tag.cc',
        'model/he/mu-snr-tag.cc',
        'model/ht/ht-capabilities.cc',
        'model/wifi-tx-vector.cc',
        'model/rate-control/parf-wifi-manager.cc',
        'model/rate-control/aparf-wifi-manager.cc',
        'model/rate-control/rrpaa-wifi-manager.cc',
        'model/rate-control/thompson-sampling-wifi-manager.cc',
        'model/ampdu-subframe-header.cc',
        'model/mpdu-aggregator.cc',
        'model/ampdu-tag.cc',
        'model/wifi-radio-energy-model.cc',
        'model/wifi-tx-current-model.cc',
        'model/vht/vht-capabilities.cc',
        'model/non-ht/erp-information.cc',
        'model/ht/ht-operation.cc',
        'model/vht/vht-operation.cc',
        'model/non-ht/dsss-parameter-set.cc',
        'model/edca-parameter-set.cc',
        'model/he/mu-edca-parameter-set.cc',
        'model/he/he-capabilities.cc',
        'model/frame-capture-model.cc',
        'model/simple-frame-capture-model.cc',
        'model/preamble-detection-model.cc',
        'model/threshold-preamble-detection-model.cc',
        'model/he/he-operation.cc',
        'model/he/he-configuration.cc',
        'model/extended-capabilities.cc',
        'model/wifi-mac-queue-item.cc',
        'model/wifi-psdu.cc',
        'model/wifi-ppdu.cc',
        'model/non-ht/dsss-ppdu.cc',
        'model/non-ht/ofdm-ppdu.cc',
        'model/non-ht/erp-ofdm-ppdu.cc',
        'model/ht/ht-ppdu.cc',
        'model/vht/vht-ppdu.cc',
        'model/he/he-ppdu.cc',
        'model/ht/ht-configuration.cc',
        'model/vht/vht-configuration.cc',
        'model/he/obss-pd-algorithm.cc',
        'model/he/constant-obss-pd-algorithm.cc',
        'model/he/he-ru.cc',
        'model/phy-entity.cc',
        'model/non-ht/dsss-phy.cc',
        'model/non-ht/ofdm-phy.cc',
        'model/non-ht/erp-ofdm-phy.cc',
        'model/ht/ht-phy.cc',
        'model/vht/vht-phy.cc',
        'model/he/he-phy.cc',
        'helper/wifi-radio-energy-model-helper.cc',
        'helper/athstats-helper.cc',
        'helper/wifi-helper.cc',
        'helper/yans-wifi-helper.cc',
        'helper/spectrum-wifi-helper.cc',
        'helper/wifi-mac-helper.cc',
        ]

    obj_test = bld.create_ns3_module_test_library('wifi')
    obj_test.source = [
        'test/block-ack-test-suite.cc',
        'test/channel-access-manager-test.cc',
        'test/tx-duration-test.cc',
        'test/power-rate-adaptation-test.cc',
        'test/wifi-test.cc',
        'test/wifi-txop-test.cc',
        'test/spectrum-wifi-phy-test.cc',
        'test/wifi-primary-channels-test.cc',
        'test/wifi-aggregation-test.cc',
        'test/wifi-error-rate-models-test.cc',
        'test/wifi-transmit-mask-test.cc',
        'test/wifi-phy-thresholds-test.cc',
        'test/wifi-phy-reception-test.cc',
        'test/inter-bss-test-suite.cc',
        'test/wifi-mac-ofdma-test.cc',
        'test/wifi-phy-ofdma-test.cc',
        'test/wifi-mac-queue-test.cc',
        ]

    # Tests encapsulating example programs should be listed here
    if (bld.env['ENABLE_EXAMPLES']):
        obj_test.source.extend([
        #   'test/wifi-examples-test-suite.cc',
            ])
    
    headers = bld(features='ns3header')
    headers.module = 'wifi'
    headers.source = [
        'model/wifi-utils.h',
        'model/wifi-information-element.h',
        'model/wifi-information-element-vector.h',
        'model/wifi-net-device.h',
        'model/wifi-mode.h',
        'model/ssid.h',
        'model/wifi-phy-common.h',
        'model/wifi-phy-band.h',
        'model/wifi-standards.h',
        'model/yans-wifi-phy.h',
        'model/spectrum-wifi-phy.h',
        'model/yans-wifi-channel.h',
        'model/wifi-phy.h',
        'model/wifi-phy-operating-channel.h',
        'model/wifi-spectrum-phy-interface.h',
        'model/wifi-spectrum-signal-parameters.h',
        'model/interference-helper.h',
        'model/wifi-remote-station-info.h',
        'model/wifi-remote-station-manager.h',
        'model/ap-wifi-mac.h',
        'model/sta-wifi-mac.h',
        'model/adhoc-wifi-mac.h',
        'model/rate-control/arf-wifi-manager.h',
        'model/rate-control/aarf-wifi-manager.h',
        'model/rate-control/ideal-wifi-manager.h',
        'model/rate-control/constant-rate-wifi-manager.h',
        'model/rate-control/amrr-wifi-manager.h',
        'model/rate-control/onoe-wifi-manager.h',
        'model/rate-control/rraa-wifi-manager.h',
        'model/rate-control/aarfcd-wifi-manager.h',
        'model/rate-control/cara-wifi-manager.h',
        'model/rate-control/minstrel-wifi-manager.h',
        'model/rate-control/minstrel-ht-wifi-manager.h',
        'model/rate-control/thompson-sampling-wifi-manager.h',
        'model/wifi-mac.h',
        'model/regular-wifi-mac.h',
        'model/supported-rates.h',
        'model/error-rate-model.h',
        'model/yans-error-rate-model.h',
        'model/nist-error-rate-model.h',
        'model/non-ht/dsss-error-rate-model.h',
        'model/table-based-error-rate-model.h',
        'model/wifi-mac-queue.h',
        'model/txop.h',
        'model/wifi-mac-header.h',
        'model/wifi-mac-trailer.h',
        'model/wifi-phy-state-helper.h',
        'model/qos-utils.h',
        'model/qos-txop.h',
        'model/msdu-aggregator.h',
        'model/amsdu-subframe-header.h',
        'model/mgt-headers.h',
        'model/status-code.h',
        'model/capability-information.h',
        'model/channel-access-manager.h',
        'model/mac-tx-middle.h', 
        'model/mac-rx-middle.h', 
        'model/wifi-tx-timer.h',
        'model/wifi-protection.h',
        'model/wifi-acknowledgment.h',
        'model/wifi-tx-parameters.h',
        'model/wifi-protection-manager.h',
        'model/wifi-default-protection-manager.h',
        'model/wifi-ack-manager.h',
        'model/wifi-default-ack-manager.h',
        'model/frame-exchange-manager.h',
        'model/qos-frame-exchange-manager.h',
        'model/ht/ht-frame-exchange-manager.h',
        'model/vht/vht-frame-exchange-manager.h',
        'model/he/he-frame-exchange-manager.h',
        'model/he/multi-user-scheduler.h',
        'model/he/rr-multi-user-scheduler.h',
        'model/originator-block-ack-agreement.h',
        'model/recipient-block-ack-agreement.h',
        'model/ctrl-headers.h',
        'model/block-ack-agreement.h',
        'model/block-ack-manager.h',
        'model/block-ack-window.h',
        'model/snr-tag.h',
        'model/he/mu-snr-tag.h',
        'model/ht/ht-capabilities.h',
        'model/rate-control/parf-wifi-manager.h',
        'model/rate-control/aparf-wifi-manager.h',
        'model/rate-control/rrpaa-wifi-manager.h',
        'model/wifi-tx-vector.h',
        'model/ampdu-subframe-header.h',
        'model/mpdu-aggregator.h',
        'model/ampdu-tag.h',
        'model/wifi-radio-energy-model.h',
        'model/wifi-tx-current-model.h',
        'model/vht/vht-capabilities.h',
        'model/non-ht/erp-information.h',
        'model/ht/ht-operation.h',
        'model/vht/vht-operation.h',
        'model/non-ht/dsss-parameter-set.h',
        'model/edca-parameter-set.h',
        'model/he/mu-edca-parameter-set.h',
        'model/he/he-capabilities.h',
        'model/frame-capture-model.h',
        'model/simple-frame-capture-model.h',
        'model/preamble-detection-model.h',
        'model/threshold-preamble-detection-model.h',
        'model/qos-blocked-destinations.h',
        'model/he/he-operation.h',
        'model/he/he-configuration.h',
        'model/extended-capabilities.h',
        'model/wifi-mac-queue-item.h',
        'model/wifi-psdu.h',
        'model/wifi-ppdu.h',
        'model/non-ht/dsss-ppdu.h',
        'model/non-ht/erp-ofdm-ppdu.h',
        'model/non-ht/ofdm-ppdu.h',
        'model/ht/ht-ppdu.h',
        'model/vht/vht-ppdu.h',
        'model/he/he-ppdu.h',
        'model/wifi-phy-state.h',
        'model/wifi-phy-listener.h',
        'model/block-ack-type.h',
        'model/wifi-mpdu-type.h',
        'model/ht/ht-configuration.h',
        'model/vht/vht-configuration.h',
        'model/he/obss-pd-algorithm.h',
        'model/he/constant-obss-pd-algorithm.h',
        'model/he/he-ru.h',
        'model/reference/error-rate-tables.h',
        'model/phy-entity.h',
        'model/non-ht/dsss-phy.h',
        'model/non-ht/ofdm-phy.h',
        'model/non-ht/erp-ofdm-phy.h',
        'model/ht/ht-phy.h',
        'model/vht/vht-phy.h',
        'model/he/he-phy.h',
        'helper/wifi-radio-energy-model-helper.h',
        'helper/athstats-helper.h',

=== ns-3.35/src/mpi/examples/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):
    obj = bld.create_ns3_program('simple-distributed',
                                 ['mpi', 'point-to-point', 'internet', 'nix-vector-routing', 'applications'])
    obj.source = ['simple-distributed.cc', 'mpi-test-fixtures.cc']
    
    obj = bld.create_ns3_program('simple-distributed-empty-node',
                                 ['mpi', 'point-to-point', 'internet', 'nix-vector-routing', 'applications'])
    obj.source = ['simple-distributed-empty-node.cc', 'mpi-test-fixtures.cc']

    obj = bld.create_ns3_program('simple-distributed-mpi-comm',
                                 ['point-to-point', 'internet', 'nix-vector-routing', 'applications'])
    obj.source = ['simple-distributed-mpi-comm.cc', 'mpi-test-fixtures.cc']

    obj = bld.create_ns3_program('third-distributed',
                                 ['mpi', 'point-to-point', 'internet', 'mobility', 'wifi', 'csma', 'applications'])
    obj.source = ['third-distributed.cc', 'mpi-test-fixtures.cc']

    obj = bld.create_ns3_program('nms-p2p-nix-distributed',
                                 ['mpi', 'point-to-point', 'internet', 'nix-vector-routing', 'applications'])
    obj.source = ['nms-p2p-nix-distributed.cc', 'mpi-test-fixtures.cc']

=== debian/control ===
Source: ns3
Section: net
Priority: optional
Standards-Version: 4.6.0
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Martin Quinson <mquinson@debian.org>
Uploaders: YunQiang Su <syq@debian.org>
Build-Depends:
 bison,
 debhelper-compat (= 13),
 dh-exec (>= 0.13),
 dh-python,
 dpkg (>= 1.16.1),
 flex,
 jdupes,
 libboost-filesystem-dev,
 libgsl-dev,
 libopenmpi-dev [alpha amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc],
 libsqlite3-dev,
 libxml2-dev,
 pkg-config,
 python3-dev,
 gir1.2-goocanvas-2.0,
 python3-gi,
 python3-gi-cairo,
 python3-pygraphviz,
 gir1.2-gtk-3.0,
Build-Depends-Indep:
 libgraphviz-dev,
 quilt (>= 0.46-7~),
 ipython3,
 dia,
 dvipng,
 ghostscript,
 imagemagick,
 python3-sphinx,
 texlive-font-utils,
 texlive-latex-extra,
 texlive-latex-base,
 texlive-latex-recommended,
Build-Conflicts:
 libmpich2-dev,
Vcs-Browser: https://salsa.debian.org/debian/ns3
Homepage: https://www.nsnam.org/
Vcs-Git: https://salsa.debian.org/debian/ns3.git

Package: ns3
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: discrete-event network simulator for Internet systems
 ns-3 is a discrete-event network simulator for Internet systems,
 targeted primarily for research and educational use.
 ns-3 is free software, licensed under the GNU GPLv2 license,
 and is publicly available for research, development, and use.
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives
 historically from the concatenation of ns (network simulator)
 and NAM (network animator).
 .
 This package contains several utilities. The files for development
 are in libns3-3, libns3-dev and python3-ns3.

Package: ns3-doc
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery, libjs-sphinxdoc
Section: doc
Description: documentation for ns3
 ns-3 is a discrete-event network simulator for Internet systems,
 targeted primarily for research and educational use.
 ns-3 is free software, licensed under the GNU GPLv2 license,
 and is publicly available for research, development, and use.
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives
 historically from the concatenation of ns (network simulator)
 and NAM (network animator).
 .
 This package contains manual, modules, tutorial and doxygen.

Package: libns3-3v5
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Description: shared libraries of ns-3
 ns-3 is a discrete-event network simulator for Internet systems,
 targeted primarily for research and educational use.
 ns-3 is free software, licensed under the GNU GPLv2 license,
 and is publicly available for research, development, and use.
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives
 historically from the concatenation of ns (network simulator)
 and NAM (network animator).
 .
 This package contains shared libraries.

Package: libns3-dev
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Depends: ${shlibs:Depends}, ${misc:Depends}, libns3-3v5 (= ${binary:Version}),
  g++,
  libopenmpi-dev,
Breaks: ns3 (= 3.25+dfsg2-2)
Section: libdevel
Description: Static and header files of ns-3
 ns-3 is a discrete-event network simulator for Internet systems,
 targeted primarily for research and educational use.
 ns-3 is free software, licensed under the GNU GPLv2 license,
 and is publicly available for research, development, and use.
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives
 historically from the concatenation of ns (network simulator)
 and NAM (network animator).
 .
 This package contains static libraries, header files.

Package: python3-ns3
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  python3-pygraphviz
Section: python
Suggests: tcpdump
Breaks: python-ns3
Description: Python binding of ns3
 ns-3 is a discrete-event network simulator for Internet systems,
 targeted primarily for research and educational use.
 ns-3 is free software, licensed under the GNU GPLv2 license,
 and is publicly available for research, development, and use.
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives
 historically from the concatenation of ns (network simulator)
 and NAM (network animator).
 .
 This package contains Python binding of ns3.
